#region Imported Namespaces

using System;
using System.Windows.Forms;

#endregion

namespace Christian.Helle.PocketNews.PocketPC.Controls
{
    internal class WaitCursor : IDisposable
    {
        public WaitCursor()
        {
            Show();
        }

        #region IDisposable Members

        public void Dispose()
        {
            Hide();
        }

        #endregion

        public void Show()
        {
            Cursor.Current = Cursors.WaitCursor;
        }

        public void Hide()
        {
            Cursor.Current = Cursors.Default;
        }
    }
}