﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Christian.Helle.PocketNews.PocketPC.Utilities
{
	public class ConfigReader : IDisposable
	{
		StreamReader reader;

		public ConfigReader(string configFile)
		{
			reader = new StreamReader(configFile);
			Data = reader.ReadToEnd();
		}

		public string Data { get; private set; }

		public void Dispose()
		{
			reader.Close();
			reader = null;
		}
	}
}
